Bug 1124719 - JDG640.EventsListeners.HotRod
Summary: JDG640.EventsListeners.HotRod
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Server
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER3
: 6.4.0
Assignee: Galder Zamarreño
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks: 1124710
TreeView+ depends on / blocked
 
Reported: 2014-07-30 07:29 UTC by Tristan Tarrant
Modified: 2015-01-28 13:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-28 13:25:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Tristan Tarrant 2014-07-30 07:29:07 UTC
Requirement:
	

Notify client applications when an entry is added, updated, deleted, or expired in a particular remote cache.  Notification is regardless of the server node to which the client connects, and receives a single notification per event. The client application may execute some business logic/computation triggered by such events, and the results of this computation should be accessible from the client application.

Java Hot Rod client only.

Priority:
	

P1

Status:
	

Committed - Tech Preview

Originator:
	

Product Management

Responsible team:
	

Infinispan Engineering Team

Comments:
	

- current status: basic functionality is implemented and about to be integrated in community. Lacking query DSL integration (big usability impact) and proper failover in case server node crashes (performance during topology change).

- the RemoteListener functionality is built on top of the ClusteredListener functionality. ClusterListener doesn't have any form of user validation or testing and is complex piece of functionality by itself. Too many moving pieces

- the remote listeners architecture needs to be validated by users. More specifically, in the current implementation of RemoteListener we considered a connection model in which the hotrod client keeps a single TCP connection per listener and to a specific server node. All the server nodes rout all the server events through this node and connection, which might cause a lot of traffic within the ISPN cluster and the server node to become a bottleneck. Based on user feedback, we can either improve on this model, or consider an alternative model in which the listener connects to multiple server nodes.

To summarize the RemoteListener, is just a proof of concept at this stage: it needs more functionality and users to validate the architecture. We are far from confident that this feature will be mature till the end of the year and cannot commit on it for that reason.

Attachments:
	

Remote Hot Rod Events · infinispan/infinispan Wiki · GitHub

Interdependencies:

Comment 2 Sebastian Łaskawiec 2014-10-30 08:44:21 UTC
PR: https://github.com/infinispan/jdg/pull/298

Comment 3 Martin Gencur 2014-11-07 09:37:35 UTC
This feature has been delivered. Bugs will be filed as separate issues.


Note You need to log in before you can comment on or make changes to this bug.